## org.apache.mahout.classifier.bayes
Class WikipediaDatasetCreatorOutputFormat

    java.lang.Object
      org.apache.hadoop.mapreduce.OutputFormat<K,V>
          org.apache.hadoop.mapreduce.lib.output.FileOutputFormat<K,V>
              org.apache.mahout.classifier.bayes.MultipleOutputFormat<K,V>
                  org.apache.mahout.classifier.bayes.MultipleTextOutputFormat<org.apache.hadoop.io.Text,org.apache.hadoop.io.Text>
                      org.apache.mahout.classifier.bayes.WikipediaDatasetCreatorOutputFormat

    public class WikipediaDatasetCreatorOutputFormat

extends MultipleTextOutputFormat<org.apache.hadoop.io.Text,org.apache.hadoop.io.Text>

This class extends the MultipleOutputFormat, allowing to write the output data to different output files in sequence file output format.

Constructor Summary
`WikipediaDatasetCreatorOutputFormat()`

Method Summary
`protected String` `generateFileNameForKeyValue(org.apache.hadoop.io.Text key, org.apache.hadoop.io.Text v, String name)`

Methods inherited from class org.apache.mahout.classifier.bayes.MultipleTextOutputFormat
`getBaseRecordWriter, getRecordWriter`

Methods inherited from class org.apache.mahout.classifier.bayes.MultipleOutputFormat
`generateActualKey, generateActualValue, generateLeafFileName, getInputFileBasedOutputFileName, getRecordWriter`

Methods inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat
`checkOutputSpecs, getCompressOutput, getDefaultWorkFile, getOutputCommitter, getOutputCompressorClass, getOutputPath, getPathForWorkFile, getUniqueFile, getWorkOutputPath, setCompressOutput, setOutputCompressorClass, setOutputPath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WikipediaDatasetCreatorOutputFormat

    public WikipediaDatasetCreatorOutputFormat()

Method Detail

### generateFileNameForKeyValue

    protected String generateFileNameForKeyValue(org.apache.hadoop.io.Text key,
                                                 org.apache.hadoop.io.Text v,
                                                 String name)

  Overrides:
    `generateFileNameForKeyValue` in class `MultipleOutputFormat<org.apache.hadoop.io.Text,org.apache.hadoop.io.Text>`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.